---
apiVersion: discovery.k8s.io/v1beta1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.0.95.76
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: machine-approver-58d468647f-z7j52
      namespace: openshift-cluster-machine-approver
      resourceVersion: "9108"
      uid: e307dd40-208d-464a-bccf-4a77b5d2922e
    topology:
      kubernetes.io/hostname: master-1.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:39:47Z"
    creationTimestamp: "2022-03-08T10:14:11Z"
    generateName: machine-approver-
    generation: 3
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: machine-approver
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"36aab737-80f7-426f-9f19-5a5c07aad183"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:38:37Z"
    name: machine-approver-jc4lb
    namespace: openshift-cluster-machine-approver
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: machine-approver
      uid: 36aab737-80f7-426f-9f19-5a5c07aad183
    resourceVersion: "9109"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-cluster-machine-approver/endpointslices/machine-approver-jc4lb
    uid: ee0e5236-39ff-4a45-adbd-f9cfa37a9116
  ports:
  - name: https
    port: 9192
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "82946"
  selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-cluster-machine-approver/endpointslices
